import shelve
db = shelve.open('persondb')               # Ponowne otwarcie pliku shelve z tą samą nazwą pliku

for key in sorted(db):                     # Iteracja w celu wyświetlenia obiektów bazy danych
    print(key, '\t=>', db[key])            # Wyświetlenie za pomocą własnego formatu

anna = db['Anna Czerwona']                 # Indeksowanie za pomocą klucza w celu pobrania
anna.giveRaise(.10)                        # Uaktualnienie w pamięci za pomocą metody klasy
db['Anna Czerwona'] = anna                 # Przypisanie do klucza w celu uaktualnienia w pliku shelve
db.close()                                 # Zamknięcie po wprowadzeniu zmian

